/**
 * Created by Shovkoplias on 1.12.2015.
 */
import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String cAns = ouf.nextToken();
        String jAns = ans.nextToken();
        if (!cAns.equals(jAns)) {
            return new Outcome(Outcome.Type.WA, String.format("expected: %s, found: %s", jAns, cAns));
        }
        return new Outcome(Outcome.Type.OK, String.format("%s", jAns));
    }
}
